[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.RealSetText

Procedure to store text associated with the control in a string

## Declaration

Source position: controls.pp line 1175

`protected procedure TControl.RealSetText(`
`const Value: TCaption`
`); virtual;`

## Arguments

`Value` |  | The text-string that is to be stored

## Description

This is the procedure that is actually used by SetTextBuf, and stores text as a string rather than performing read-write to a PChar buffer

## See also

SetTextBuf |  | Stores text associated with the control in a buffer
RealGetText |  | Function to get a text-string associated with the control
GetTextBuf |  | Gets text associated with the control from a buffer

The latest version of this document can be found at lazarus-ccr.sourceforge.net.